<form [formGroup] = "createAccountForm" class = "form-horizontal" action="action_page.php" style="border:1px solid #ccc">
    <div class="container">
      <h1>Tell us about yourself</h1>
      <p>This info lets us estimate your nutrition requirements for each day.</p>
      <hr>

       
      <label class= "control-label col-sm-3" for="firstName"><b>First name</b></label>
      <input formControlName = "firstName" type="text" placeholder="Enter first name" name="firstName" required>
      <div class = "alert alert-danger" *ngIf = "firstName.invalid && firstName.touched">This field is required.</div>
      <hr>
      <label class = "control-label col-sm-3" for="lastName"><b>Last name</b></label>
      <input formControlName = "lastName" type="text" placeholder="Enter last name" name="lastName" required>
      <div class = "alert alert-danger" *ngIf = "lastName.invalid && lastName.touched">This field is required.</div>
      <hr>
      <label class = "control-label col-sm-3"><b>I want to</b></label>
      <div class="btn-group btn-group-toggle" data-toggle="buttons">
        <label [ngClass]="{'active': selectedGoal == 'lose'}" class="btn btn-outline-dark">
            <input [(ngModel)] = "selectedGoal" [ngModelOptions]="{standalone: true}" type="radio" value = "lose" name="options" autocomplete="off"> Lose weight
        </label>
        <label [ngClass]="{'active': selectedGoal == 'maintain'}" class="btn  btn-outline-dark">
            <input [(ngModel)] = "selectedGoal" [ngModelOptions]="{standalone: true}" type="radio" value = "maintain" name="options" autocomplete="off"> Maintain
        </label>
        <label [ngClass]="{'active': selectedGoal == 'build'}" class="btn  btn-outline-dark">
            <input [(ngModel)] = "selectedGoal" [ngModelOptions]="{standalone: true}" type="radio" value = "build" name="options" autocomplete="off"> Build muscle
        </label>
    </div>
      <hr>
      <label class = "control-label col-sm-3"><b>I am</b></label>
      <div class="btn-group btn-group-toggle" data-toggle="buttons">
        <label [ngClass] = "{'active': isCheckedMale}" class="btn  btn-outline-dark">
            <input formControlName="gender" (change)="onCheckedGender($event)" value="male" type="radio" name="gender" autocomplete="off"> Male
        </label>
        <label [ngClass]="{'active':isCheckedFemale}" class="btn  btn-outline-dark">
            <input formControlName="gender" (change)="onCheckedGender($event)" value="female" type="radio" name="gender" autocomplete="off"> Female
        </label>
    </div>
    <hr>
      <label class = "control-label col-sm-3"><b>Height</b></label>
      <input formControlName = "height" type="text" placeholder="Enter height in cm" name="height" required>

    <hr>
      <label class = "control-label col-sm-3"><b>Weight</b></label>
      <input formControlName = "weight" type="text" placeholder="Enter weight in kg" name="weight" required>
      <div class = "alert alert-danger" *ngIf = "weight.invalid && weight.touched">This field is required.</div>

    <hr>
      <label class = "control-label col-sm-3"><b>Age</b></label>
      <input formControlName = "age" type="text" placeholder="Enter age" name="age" required>
    

     <hr>
     <!--
      <label class = "control-label col-sm-3"><b>Bodyfat</b></label>
      <div class="btn-group btn-group-toggle" data-toggle="buttons">
        <label [ngClass]="{'active': selectedBodyfat == 'low'}" class="btn btn-outline-dark ">
            <input [(ngModel)]="selectedBodyfat" [ngModelOptions]="{standalone: true}" value="low" type="radio" name="options" autocomplete="off"> Low
        </label>

        <label [ngClass]="{'active': selectedBodyfat == 'medium'}" class="btn  btn-outline-dark">
            <input [(ngModel)]="selectedBodyfat" [ngModelOptions]="{standalone: true}" value="medium" type="radio" name="options" autocomplete="off"> Medium
        </label>
        <label [ngClass]="{'active': selectedBodyfat == 'high'}" class="btn  btn-outline-dark">
            <input [(ngModel)]="selectedBodyfat" [ngModelOptions]="{standalone: true}" value="high" type="radio" name="options" autocomplete="off"> High
        </label>
        </div>
        <hr>
        -->
        
        <label class = "control-label col-sm-3"><b>Food preferences</b></label>
        
        <select class = "form-select">
            <option>Anything</option>
            <option>Vegan</option>
            <option>Vegeterian</option>
            <option>Gluten-Free</option>
            <option>Ketogenic</option>
        </select>
      <hr>
      <!--
      <label class = "control-label col-sm-3"><b>Set a weight goal?</b></label>
      <div class="btn-group btn-group-toggle" data-toggle="buttons">
        <label [ngClass] = "{'active': isCheckedNo}" class="btn  btn-outline-dark">
            <input type="radio" autocomplete="off" name = "goal" value="no" (change)="onCheckedGoal($event)"> No, thanks
        </label>
        <label [ngClass] = "{'active': isCheckedYes}" class="btn  btn-outline-dark">
            <input type="radio" autocomplete="off" name = "goal" value="yes" (change)="onCheckedGoal($event)"> Yes, let's do it!
        </label>
      </div>

      <div *ngIf = "isCheckedYes">
      <hr>
      <label class = "control-label col-sm-3"><b>Enter your goal weight</b></label>
      <input type="number" min="0" max="300" step="1" placeholder="Enter weight in kg">
      <hr>
      <label class = "control-label col-sm-3"><b>Weight change rate</b></label>
      <input type="number" min="0.0" max = "3" step="0.1" placeholder="Lose per week">
      </div>
      <hr>
      -->
      <div class="clearfix">
        <button (click) = "onFinishUp()" type="submit"> Finish up </button>
      </div>
      
    </div>
  </form> 